SDL_winrt_main_NonXAML.cpp File Reference
`#include "SDL_main.h"`
`#include <wrl.h>`
Include dependency graph for SDL_winrt_main_NonXAML.cpp:

Go to the source code of this file.

## Functions

int CALLBACK | WinMain (HINSTANCE, HINSTANCE, LPSTR, int)

## Function Documentation

int CALLBACK WinMain | ( | HINSTANCE | ,
|  | HINSTANCE | ,
|  | LPSTR | ,
|  | int |
| ) |  |

Definition at line 51 of file SDL_winrt_main_NonXAML.cpp.

References FAILED, NULL, SDL_main(), and SDL_WinRTRunApp().

{
if (FAILED(Windows::Foundation::Initialize(RO_INIT_MULTITHREADED))) {
return 1;
}
SDL_WinRTRunApp(SDL_main, NULL);
return 0;
}
FAILED
#define FAILED(x)
Definition: SDL_directx.h:54
NULL
#define NULL
Definition: begin_code.h:143
SDL_main
C_LINKAGE int SDL_main(int argc, char *argv[])
SDL_WinRTRunApp
int SDL_WinRTRunApp(int(*mainFunction)(int, char **), void *xamlBackgroundPanel)
Definition: SDL_winrtapp_common.cpp:30